package com.ssm.manage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;
import java.io.Serializable;

/**
 * (RechargeCardTransition)实体类
 *
 * @author makejava
 * @since 2022-05-30 11:58:43
 */

@Table(name = "recharge_card_transition")
public class RechargeCardTransition implements Serializable {
    private static final long serialVersionUID = -64591403079049555L;
    /**
     * id
     */
    @Id
    @Column(name = "id")
    private Long id;
    /**
     * 单据号
     */
    @Column(name = "doc_num")
    private String docNum;
    /**
     * 录入时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Column(name = "doc_date")
    private Date docDate;
    /**
     * 门店id
     */
    @Column(name = "store_id")
    private Long storeId;
    /**
     * 门店编码
     */
    @Column(name = "store_num")
    private String storeNum;
    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;
    /**
     * 会员id
     */
    @Column(name = "member_id")
    private Long memberId;
    /**
     * 会员编码
     */
    @Column(name = "member_num")
    private String memberNum;
    /**
     * 会员名称
     */
    @Column(name = "member_name")
    private String memberName;
    /**
     * 会员身份证号
     */
    @Column(name = "member_identity_card")
    private String memberIdentityCard;
    /**
     * 手机
     */
    @Column(name = "mobile_phone")
    private String mobilePhone;
    /**
     * 转入充值卡Id
     */
    @Column(name = "in_account_id")
    private Long inAccountId;
    /**
     * 转入充值卡类型Id
     */
    @Column(name = "in_recharge_type_id")
    private Long inRechargeTypeId;
    /**
     * 转入充值卡类型编码
     */
    @Column(name = "in_recharge_type_num")
    private String inRechargeTypeNum;
    /**
     * 转入充值卡类型名称
     */
    @Column(name = "in_recharge_type_name")
    private String inRechargeTypeName;
    /**
     * 转入金额
     */
    @Column(name = "in_money")
    private BigDecimal inMoney;
    /**
     * 转入赠送金额
     */
    @Column(name = "in_gift_money")
    private BigDecimal inGiftMoney;
    /**
     * 转出充值卡Id
     */
    @Column(name = "out_account_id")
    private Long outAccountId;
    /**
     * 转出充值卡类型Id
     */
    @Column(name = "out_recharge_type_id")
    private Long outRechargeTypeId;
    /**
     * 转出充值卡类型编码
     */
    @Column(name = "out_recharge_type_num")
    private String outRechargeTypeNum;
    /**
     * 转出充值卡类型名称
     */
    @Column(name = "out_recharge_type_name")
    private String outRechargeTypeName;
    /**
     * 销售员1水牌号
     */
    @Column(name = "sale_one_number")
    private String saleOneNumber;
    /**
     * 销售员2水牌号
     */
    @Column(name = "sale_two_number")
    private String saleTwoNumber;
    /**
     * 销售员3水牌号
     */
    @Column(name = "sale_three_number")
    private String saleThreeNumber;
    /**
     * 销售员4水牌号
     */
    @Column(name = "sale_four_number")
    private String saleFourNumber;
    /**
     * 销售员1编码
     */
    @Column(name = "sale_one_staff_id")
    private Long saleOneStaffId;
    /**
     * 销售员2编码
     */
    @Column(name = "sale_two_staff_id")
    private Long saleTwoStaffId;
    /**
     * 销售员3编码
     */
    @Column(name = "sale_three_staff_id")
    private Long saleThreeStaffId;
    /**
     * 销售员4编码
     */
    @Column(name = "sale_four_staff_id")
    private Long saleFourStaffId;
    /**
     * 销售员1名称
     */
    @Column(name = "sale_one_staff_name")
    private String saleOneStaffName;
    /**
     * 销售员2名称
     */
    @Column(name = "sale_two_staff_name")
    private String saleTwoStaffName;
    /**
     * 销售员3名称
     */
    @Column(name = "sale_three_staff_name")
    private String saleThreeStaffName;
    /**
     * 销售员4名称
     */
    @Column(name = "sale_four_staff_name")
    private String saleFourStaffName;
    /**
     * 销售员1身份证号
     */
    @Column(name = "sale_one_identity")
    private String saleOneIdentity;
    /**
     * 销售员2身份证号
     */
    @Column(name = "sale_two_identity")
    private String saleTwoIdentity;
    /**
     * 销售员3身份证号
     */
    @Column(name = "sale_three_identity")
    private String saleThreeIdentity;
    /**
     * 销售员4身份证号
     */
    @Column(name = "sale_four_identity")
    private String saleFourIdentity;
    /**
     * 销售员1占比
     */
    @Column(name = "sale_one_ratio")
    private BigDecimal saleOneRatio;
    /**
     * 销售员2占比
     */
    @Column(name = "sale_two_ratio")
    private BigDecimal saleTwoRatio;
    /**
     * 销售员3占比
     */
    @Column(name = "sale_three_ratio")
    private BigDecimal saleThreeRatio;
    /**
     * 销售员4占比
     */
    @Column(name = "sale_four_ratio")
    private BigDecimal saleFourRatio;
    /**
     * 状态 0:添加/1:送审/2:回收/3:审核/4:反审核/5:作废
     */
    @Column(name = "state")
    private Integer state;
    /**
     * 修改人ID
     */
    @Column(name = "update_id")
    private Long updateId;
    /**
     * 修改人名称
     */
    @Column(name = "update_name")
    private String updateName;
    /**
     * 修改时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Column(name = "update_date")
    private Date updateDate;
    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Column(name = "insert_date")
    private Date insertDate;
    /**
     * 创建人
     */
    @Column(name = "insert_id")
    private Long insertId;
    /**
     * 创建人名称
     */
    @Column(name = "insert_name")
    private String insertName;


    //新增字段

    /**
     * 销售员5水牌号
     */
    @Column(name = "sale_five_number")
    private String saleFiveNumber;


    /**
     * 销售员5编码
     */
    @Column(name = "sale_five_staff_id")
    private Long saleFiveStaffId;

    /**
     * 销售员5名称
     */
    @Column(name = "sale_five_staff_name")
    private String saleFiveStaffName;

    /**
     * 销售员5身份证号
     */
    @Column(name = "sale_five_identity")
    private String saleFiveIdentity;

    /**
     * 销售员5占比
     */
    @Column(name = "sale_five_ratio")
    private BigDecimal saleFiveRatio;



    /**
     * 销售员6水牌号
     */
    @Column(name = "sale_six_number")
    private String saleSixNumber;


    /**
     * 销售员6编码
     */
    @Column(name = "sale_six_staff_id")
    private Long saleSixStaffId;

    /**
     * 销售员6名称
     */
    @Column(name = "sale_six_staff_name")
    private String saleSixStaffName;

    /**
     * 销售员6身份证号
     */
    @Column(name = "sale_six_identity")
    private String saleSixIdentity;

    /**
     * 销售员6占比
     */
    @Column(name = "sale_six_ratio")
    private BigDecimal saleSixRatio;



    /**
     * 销售员7水牌号
     */
    @Column(name = "sale_seven_number")
    private String saleSevenNumber;


    /**
     * 销售员7编码
     */
    @Column(name = "sale_seven_staff_id")
    private Long saleSevenStaffId;

    /**
     * 销售员7名称
     */
    @Column(name = "sale_seven_staff_name")
    private String saleSevenStaffName;

    /**
     * 销售员7身份证号
     */
    @Column(name = "sale_seven_identity")
    private String saleSevenIdentity;

    /**
     * 销售员7占比
     */
    @Column(name = "sale_seven_ratio")
    private BigDecimal saleSevenRatio;



    /**
     * 销售员8水牌号
     */
    @Column(name = "sale_eight_number")
    private String saleEightNumber;


    /**
     * 销售员8编码
     */
    @Column(name = "sale_eight_staff_id")
    private Long saleEightStaffId;

    /**
     * 销售员8名称
     */
    @Column(name = "sale_eight_staff_name")
    private String saleEightStaffName;

    /**
     * 销售员8身份证号
     */
    @Column(name = "sale_eight_identity")
    private String saleEightIdentity;

    /**
     * 销售员8占比
     */
    @Column(name = "sale_eight_ratio")
    private BigDecimal saleEightRatio;



    /**
     * 转卡前的可用金额
     */
    @Column(name = "card_consume_money")
    private Long cardConsumeMoney;


    /**
     * 转卡前的可赠送金额
     */
    @Column(name = "gift_consume_money")
    private Long giftConsumeMoney;

    public Long getCardConsumeMoney() {
        return cardConsumeMoney;
    }

    public void setCardConsumeMoney(Long cardConsumeMoney) {
        this.cardConsumeMoney = cardConsumeMoney;
    }

    public Long getGiftConsumeMoney() {
        return giftConsumeMoney;
    }

    public void setGiftConsumeMoney(Long giftConsumeMoney) {
        this.giftConsumeMoney = giftConsumeMoney;
    }

    public String getSaleFiveNumber() {
        return saleFiveNumber;
    }

    public Long getSaleFiveStaffId() {
        return saleFiveStaffId;
    }

    public String getSaleFiveStaffName() {
        return saleFiveStaffName;
    }

    public String getSaleFiveIdentity() {
        return saleFiveIdentity;
    }

    public BigDecimal getSaleFiveRatio() {
        return saleFiveRatio;
    }

    public String getSaleSixNumber() {
        return saleSixNumber;
    }

    public Long getSaleSixStaffId() {
        return saleSixStaffId;
    }

    public String getSaleSixStaffName() {
        return saleSixStaffName;
    }

    public String getSaleSixIdentity() {
        return saleSixIdentity;
    }

    public BigDecimal getSaleSixRatio() {
        return saleSixRatio;
    }

    public String getSaleSevenNumber() {
        return saleSevenNumber;
    }

    public Long getSaleSevenStaffId() {
        return saleSevenStaffId;
    }

    public String getSaleSevenStaffName() {
        return saleSevenStaffName;
    }

    public String getSaleSevenIdentity() {
        return saleSevenIdentity;
    }

    public BigDecimal getSaleSevenRatio() {
        return saleSevenRatio;
    }

    public String getSaleEightNumber() {
        return saleEightNumber;
    }

    public Long getSaleEightStaffId() {
        return saleEightStaffId;
    }

    public String getSaleEightStaffName() {
        return saleEightStaffName;
    }

    public String getSaleEightIdentity() {
        return saleEightIdentity;
    }

    public BigDecimal getSaleEightRatio() {
        return saleEightRatio;
    }


    public void setSaleFiveNumber(String saleFiveNumber) {
        this.saleFiveNumber = saleFiveNumber;
    }

    public void setSaleFiveStaffId(Long saleFiveStaffId) {
        this.saleFiveStaffId = saleFiveStaffId;
    }

    public void setSaleFiveStaffName(String saleFiveStaffName) {
        this.saleFiveStaffName = saleFiveStaffName;
    }

    public void setSaleFiveIdentity(String saleFiveIdentity) {
        this.saleFiveIdentity = saleFiveIdentity;
    }

    public void setSaleFiveRatio(BigDecimal saleFiveRatio) {
        this.saleFiveRatio = saleFiveRatio;
    }

    public void setSaleSixNumber(String saleSixNumber) {
        this.saleSixNumber = saleSixNumber;
    }

    public void setSaleSixStaffId(Long saleSixStaffId) {
        this.saleSixStaffId = saleSixStaffId;
    }

    public void setSaleSixStaffName(String saleSixStaffName) {
        this.saleSixStaffName = saleSixStaffName;
    }

    public void setSaleSixIdentity(String saleSixIdentity) {
        this.saleSixIdentity = saleSixIdentity;
    }

    public void setSaleSixRatio(BigDecimal saleSixRatio) {
        this.saleSixRatio = saleSixRatio;
    }

    public void setSaleSevenNumber(String saleSevenNumber) {
        this.saleSevenNumber = saleSevenNumber;
    }

    public void setSaleSevenStaffId(Long saleSevenStaffId) {
        this.saleSevenStaffId = saleSevenStaffId;
    }

    public void setSaleSevenStaffName(String saleSevenStaffName) {
        this.saleSevenStaffName = saleSevenStaffName;
    }

    public void setSaleSevenIdentity(String saleSevenIdentity) {
        this.saleSevenIdentity = saleSevenIdentity;
    }

    public void setSaleSevenRatio(BigDecimal saleSevenRatio) {
        this.saleSevenRatio = saleSevenRatio;
    }

    public void setSaleEightNumber(String saleEightNumber) {
        this.saleEightNumber = saleEightNumber;
    }

    public void setSaleEightStaffId(Long saleEightStaffId) {
        this.saleEightStaffId = saleEightStaffId;
    }

    public void setSaleEightStaffName(String saleEightStaffName) {
        this.saleEightStaffName = saleEightStaffName;
    }

    public void setSaleEightIdentity(String saleEightIdentity) {
        this.saleEightIdentity = saleEightIdentity;
    }

    public void setSaleEightRatio(BigDecimal saleEightRatio) {
        this.saleEightRatio = saleEightRatio;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDocNum() {
        return docNum;
    }

    public void setDocNum(String docNum) {
        this.docNum = docNum;
    }

    public Date getDocDate() {
        return docDate;
    }

    public void setDocDate(Date docDate) {
        this.docDate = docDate;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreNum() {
        return storeNum;
    }

    public void setStoreNum(String storeNum) {
        this.storeNum = storeNum;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public String getMemberNum() {
        return memberNum;
    }

    public void setMemberNum(String memberNum) {
        this.memberNum = memberNum;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberIdentityCard() {
        return memberIdentityCard;
    }

    public void setMemberIdentityCard(String memberIdentityCard) {
        this.memberIdentityCard = memberIdentityCard;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    public Long getInAccountId() {
        return inAccountId;
    }

    public void setInAccountId(Long inAccountId) {
        this.inAccountId = inAccountId;
    }

    public Long getInRechargeTypeId() {
        return inRechargeTypeId;
    }

    public void setInRechargeTypeId(Long inRechargeTypeId) {
        this.inRechargeTypeId = inRechargeTypeId;
    }

    public String getInRechargeTypeNum() {
        return inRechargeTypeNum;
    }

    public void setInRechargeTypeNum(String inRechargeTypeNum) {
        this.inRechargeTypeNum = inRechargeTypeNum;
    }

    public String getInRechargeTypeName() {
        return inRechargeTypeName;
    }

    public void setInRechargeTypeName(String inRechargeTypeName) {
        this.inRechargeTypeName = inRechargeTypeName;
    }

    public BigDecimal getInMoney() {
        return inMoney;
    }

    public void setInMoney(BigDecimal inMoney) {
        this.inMoney = inMoney;
    }

    public BigDecimal getInGiftMoney() {
        return inGiftMoney;
    }

    public void setInGiftMoney(BigDecimal inGiftMoney) {
        this.inGiftMoney = inGiftMoney;
    }

    public Long getOutAccountId() {
        return outAccountId;
    }

    public void setOutAccountId(Long outAccountId) {
        this.outAccountId = outAccountId;
    }

    public Long getOutRechargeTypeId() {
        return outRechargeTypeId;
    }

    public void setOutRechargeTypeId(Long outRechargeTypeId) {
        this.outRechargeTypeId = outRechargeTypeId;
    }

    public String getOutRechargeTypeNum() {
        return outRechargeTypeNum;
    }

    public void setOutRechargeTypeNum(String outRechargeTypeNum) {
        this.outRechargeTypeNum = outRechargeTypeNum;
    }

    public String getOutRechargeTypeName() {
        return outRechargeTypeName;
    }

    public void setOutRechargeTypeName(String outRechargeTypeName) {
        this.outRechargeTypeName = outRechargeTypeName;
    }

    public String getSaleOneNumber() {
        return saleOneNumber;
    }

    public void setSaleOneNumber(String saleOneNumber) {
        this.saleOneNumber = saleOneNumber;
    }

    public String getSaleTwoNumber() {
        return saleTwoNumber;
    }

    public void setSaleTwoNumber(String saleTwoNumber) {
        this.saleTwoNumber = saleTwoNumber;
    }

    public String getSaleThreeNumber() {
        return saleThreeNumber;
    }

    public void setSaleThreeNumber(String saleThreeNumber) {
        this.saleThreeNumber = saleThreeNumber;
    }

    public String getSaleFourNumber() {
        return saleFourNumber;
    }

    public void setSaleFourNumber(String saleFourNumber) {
        this.saleFourNumber = saleFourNumber;
    }

    public Long getSaleOneStaffId() {
        return saleOneStaffId;
    }

    public void setSaleOneStaffId(Long saleOneStaffId) {
        this.saleOneStaffId = saleOneStaffId;
    }

    public Long getSaleTwoStaffId() {
        return saleTwoStaffId;
    }

    public void setSaleTwoStaffId(Long saleTwoStaffId) {
        this.saleTwoStaffId = saleTwoStaffId;
    }

    public Long getSaleThreeStaffId() {
        return saleThreeStaffId;
    }

    public void setSaleThreeStaffId(Long saleThreeStaffId) {
        this.saleThreeStaffId = saleThreeStaffId;
    }

    public Long getSaleFourStaffId() {
        return saleFourStaffId;
    }

    public void setSaleFourStaffId(Long saleFourStaffId) {
        this.saleFourStaffId = saleFourStaffId;
    }

    public String getSaleOneStaffName() {
        return saleOneStaffName;
    }

    public void setSaleOneStaffName(String saleOneStaffName) {
        this.saleOneStaffName = saleOneStaffName;
    }

    public String getSaleTwoStaffName() {
        return saleTwoStaffName;
    }

    public void setSaleTwoStaffName(String saleTwoStaffName) {
        this.saleTwoStaffName = saleTwoStaffName;
    }

    public String getSaleThreeStaffName() {
        return saleThreeStaffName;
    }

    public void setSaleThreeStaffName(String saleThreeStaffName) {
        this.saleThreeStaffName = saleThreeStaffName;
    }

    public String getSaleFourStaffName() {
        return saleFourStaffName;
    }

    public void setSaleFourStaffName(String saleFourStaffName) {
        this.saleFourStaffName = saleFourStaffName;
    }

    public String getSaleOneIdentity() {
        return saleOneIdentity;
    }

    public void setSaleOneIdentity(String saleOneIdentity) {
        this.saleOneIdentity = saleOneIdentity;
    }

    public String getSaleTwoIdentity() {
        return saleTwoIdentity;
    }

    public void setSaleTwoIdentity(String saleTwoIdentity) {
        this.saleTwoIdentity = saleTwoIdentity;
    }

    public String getSaleThreeIdentity() {
        return saleThreeIdentity;
    }

    public void setSaleThreeIdentity(String saleThreeIdentity) {
        this.saleThreeIdentity = saleThreeIdentity;
    }

    public String getSaleFourIdentity() {
        return saleFourIdentity;
    }

    public void setSaleFourIdentity(String saleFourIdentity) {
        this.saleFourIdentity = saleFourIdentity;
    }

    public BigDecimal getSaleOneRatio() {
        return saleOneRatio;
    }

    public void setSaleOneRatio(BigDecimal saleOneRatio) {
        this.saleOneRatio = saleOneRatio;
    }

    public BigDecimal getSaleTwoRatio() {
        return saleTwoRatio;
    }

    public void setSaleTwoRatio(BigDecimal saleTwoRatio) {
        this.saleTwoRatio = saleTwoRatio;
    }

    public BigDecimal getSaleThreeRatio() {
        return saleThreeRatio;
    }

    public void setSaleThreeRatio(BigDecimal saleThreeRatio) {
        this.saleThreeRatio = saleThreeRatio;
    }

    public BigDecimal getSaleFourRatio() {
        return saleFourRatio;
    }

    public void setSaleFourRatio(BigDecimal saleFourRatio) {
        this.saleFourRatio = saleFourRatio;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getInsertDate() {
        return insertDate;
    }

    public void setInsertDate(Date insertDate) {
        this.insertDate = insertDate;
    }

    public Long getInsertId() {
        return insertId;
    }

    public void setInsertId(Long insertId) {
        this.insertId = insertId;
    }

    public String getInsertName() {
        return insertName;
    }

    public void setInsertName(String insertName) {
        this.insertName = insertName;
    }

}

